minetest.register_node("yellowglassblock:meseglass", {
description = "MeseGlass",
tiles = {"someblock.png"},
groups = {oddly_breakable_by_hand = 2},
is_ground_content = true
})
minetest.register_craft({
output = "yellowglassblock:meseglass 10",
recipe = {{"default:glass", "default:mese_crystal"}}
})
minetest.register_node("yellowglassblock:bluestarblock", {
description = "BlueStarBlock",
tiles = {"block1.png"},
groups = {cracky = 3},
light_source = 10,
is_ground_content = true
})
minetest.register_craft({
output = "yellowglassblock:bluestarblock 10",
recipe = {{"yellowglassblock:meseglass", "default:diamond"}},
})
minetest.register_tool("yellowglassblock:sword_star", {
	description = ("Bluestar Sword"),
	inventory_image = "123456789.png",
	tool_capabilities = {
		full_punch_interval = 0.7,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=1.90, [2]=0.90, [3]=0.30}, uses=40, maxlevel=3},
		},
		damage_groups = {fleshy=9},
	},
	sound = {breaks = "default_tool_breaks"},
	groups = {sword = 1}
})
minetest.register_tool("yellowglassblock:pick_star", {
	description = ("Bluestar Pickaxe"),
	inventory_image = "bluestarpick.png",
	tool_capabilities = {
		full_punch_interval = 0.9,
		max_drop_level=3,
		groupcaps={
			cracky = {times={[1]=1.5, [2]=0.9, [3]=0.40}, uses=40, maxlevel=3},
		},
		damage_groups = {fleshy=5},
	},
	sound = {breaks = "default_tool_breaks"},
	groups = {pickaxe = 1}
})
minetest.register_tool("yellowglassblock:axe_star", {
	description = ("Bluestar Axe"),
	inventory_image = "bluestaraxe.png",
	tool_capabilities = {
		full_punch_interval = 0.9,
		max_drop_level=1,
		groupcaps={
			choppy={times={[1]=2.0, [2]=0.80, [3]=0.40}, uses=40, maxlevel=3},
		},
		damage_groups = {fleshy=7},
	},
	sound = {breaks = "default_tool_breaks"},
	groups = {axe = 1}
})
minetest.register_tool("yellowglassblock:shovel_star", {
	description = ("Bluestar Shovel"),
	inventory_image = "bluestarshovel.png",
	wield_image = "bluestarshovel.png^[transformR90",
	tool_capabilities = {
		full_punch_interval = 1.0,
		max_drop_level=1,
		groupcaps={
			crumbly = {times={[1]=1.0, [2]=0.40, [3]=0.25}, uses=40, maxlevel=3},
		},
		damage_groups = {fleshy=4},
	},
	sound = {breaks = "default_tool_breaks"},
	groups = {shovel = 1}
})
minetest.register_craft({
output = "yellowglassblock:sword_star",
recipe = {{"yellowglassblock:bluestarblock"},
          {"yellowglassblock:bluestarblock"},
		  {"default:stick"}}
})
minetest.register_craft({
output = "yellowglassblock:pick_star",
recipe = {{"yellowglassblock:bluestarblock", "yellowglassblock:bluestarblock", "yellowglassblock:bluestarblock"},
              {"", "default:stick", ""},
              {"", "default:stick", ""},
	        }
})
minetest.register_craft({
output = "yellowglassblock:shovel_star",
recipe = {{"yellowglassblock:bluestarblock"},
          {"default:stick"},
          {"default:stick"},
        }
})
minetest.register_craft({
output = "yellowglassblock:axe_star",
recipe = {{"yellowglassblock:bluestarblock", "yellowglassblock:bluestarblock"},
          {"yellowglassblock:bluestarblock", "default:stick"},
          {"","default:stick"},
		  }
})
minetest.register_ore({
ore_type = "scatter",
ore = "yellowglassblock:bluestarblock",
wherein = "default:stone",
clust_size = 5,
clust_scarcity = 8 * 8 * 8,
clust_num_ores = 4,
height_min = 10000,
height_max = 2100
})
